IP bulk search download

Initiates the creation of the file with data about IPs that matched the search query. When the file is created, it will be available for download. On the successful call, returns the unique identifier that represents the file creation process. The file creation is an asynchronous process, because the amount of data that should be exported to the file and the export duration is hard to predict. The call to this endpoint just initiates the file creation. To check the file status and get the download link, send a GET request to the /v4/data/account/downloads/ API endpoint with the identifier returned by this endpoint. The number of rows available for download is determined by the subscription plan.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
column_list
array of strings
required

List of columns to download. Supported values: ip, ptr_record_value, spyse_score, country, as_number, as_organization, isp, osh, city, open_ports_count, open_ports, abuses_score

column_list*
string
length ≤ 254

An optional field with a short file description. Max length: 254 characters.

string
enum
required

The file format to use for the file creation. Supported values: ndjson, csv.

Allowed:
ip_list
array of strings
required

The list of valid IPv4 addresses to search for.

ip_list*
int64
≥ 1

The number of rows the user wants to receive in the current download request.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json